# PSF-LoginServer - master - net.psforever.objects.ce.Deployable
PSF - LoginServer - master - net.psforever.objects.ce.Deployable
Keywords: PSF LoginServer master net.psforever.objects.ce.Deployable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ce
  Definition Classes
    objects
- BaseDeployable
- Deployable
- DeployableBehavior
- DeployableCategory
- DeployedItem
- InteractWithMines
- TelepadControl
- TelepadLike

c

net.psforever.objects.ce

# Deployable 

###
Companion object Deployable

#### abstract class Deployable extends PlanetSideServerObject with BaseDeployable

Source
  Deployable.scala

Linear Supertypes
BaseDeployable, OwnableByPlayer, Vitality, VitalsHistory, BlockMapEntity, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any
Known Subclasses
BoomerDeployable, ExplosiveDeployable, SensorDeployable, ShieldGeneratorDeployable, TelepadDeployable, TrapDeployable, TurretDeployable

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Deployable
2. BaseDeployable
3. OwnableByPlayer
4. Vitality
5. VitalsHistory
6. BlockMapEntity
7. PlanetSideServerObject
8. ZoneAware
9. FactionAffinity
10. PlanetSideGameObject
11. WorldEntity
12. IdentifiableEntity
13. Identifiable
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Deployable(cdef: DeployableDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def AssignOwnership(playerOpt: Option[Player]): OwnableByPlayer

   na

   na

   playerOpt

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
7.  def AssignOwnership(player: Player): OwnableByPlayer

   na

   na

   player

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
8.  def CanDamage: Boolean
   Definition Classes
     Vitality
9.  def CanRepair: Boolean
   Definition Classes
     Vitality
10.  def ClearHistory(): List[VitalsActivity]
    Definition Classes
      VitalsHistory
11.  def Continent: String
    Definition Classes
      ZoneAware
12.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
13.  def DamageModel: DamageResistanceModel
    Definition Classes
      BaseDeployable → Vitality
14.  def DefaultHealth: Int
    Definition Classes
      Vitality
15.  def Definition: DeployableDefinition
    Definition Classes
      Deployable → BaseDeployable → Vitality → PlanetSideGameObject
16.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
17.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
18.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
19.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
20.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
21.  def Faction_=(toFaction: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
22.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
23.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
24.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

25.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
26.  def Health: Int
    Definition Classes
      Vitality
27.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
28.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
29.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
30.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
31.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
32.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
33.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
34.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
35.  def MaxHealth: Int
    Definition Classes
      Vitality
36.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
37.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
38.  def MaxShields: Int
    Definition Classes
      BaseDeployable
39.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
40.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
41.  def Owner: Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
42.  def OwnerName: Option[String]
    Definition Classes
      OwnableByPlayer
43.  def OwnerName_=(owner: Option[String]): Option[String]
    Definition Classes
      OwnableByPlayer
44.  def OwnerName_=(owner: Player): Option[String]
    Definition Classes
      OwnableByPlayer
45.  def OwnerName_=(owner: String): Option[String]
    Definition Classes
      OwnableByPlayer
46.  def Owner_=(owner: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
47.  def Owner_=(owner: Player): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
48.  def Owner_=(owner: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
49.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
50.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
51.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
52.  def Shields: Int
    Definition Classes
      BaseDeployable
53.  def Shields_=(toShields: Int): Int
    Definition Classes
      BaseDeployable
54.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
55.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
56.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
57.  def Zone: Zone
    Definition Classes
      ZoneAware
58.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
59.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
60.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
61.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
62.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
63.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
64.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
65.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
66.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
67.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
68.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
69.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
70.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
71.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
72.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
73.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
74.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
75.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
76.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
77.  def toString(): String
    Definition Classes
      AnyRef → Any
78.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
79.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
80.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
81.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BaseDeployable

### Inherited from OwnableByPlayer

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from BlockMapEntity

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped